#ifndef FLYDATETIMEDBUSNOTIFIER_H
#define FLYDATETIMEDBUSNOTIFIER_H

#include <QObject>

#include "fly-phone-dbus_global.h"

namespace FlyPhone {
class FlyDateTimeDbusNotifierPrivate;

class FLYPHONEDBUSSHARED_EXPORT FlyDateTimeDbusNotifier : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.fly.phone.launcher.FlyDateTimeDbusNotifier")
    Q_DECLARE_PRIVATE(FlyDateTimeDbusNotifier)
    QScopedPointer<FlyDateTimeDbusNotifierPrivate> const d_ptr;

public:
    explicit FlyDateTimeDbusNotifier(QObject *parent = 0);
    ~FlyDateTimeDbusNotifier();

public slots:
    void emitSystemDateTimeChanged();
    void emitTimeZoneChanged();
    void emitAlarmTriggered(const QString &description);
    void emitTimerTriggered();

signals:
    void systemDateTimeChanged();
    void timeZoneChanged();
    void alarmTriggered(const QString &description);
    void timerTriggered();
};

}

#endif // FLYDATETIMEDBUSNOTIFIER_H
